Package ru.bgcrm.model.process

# Class ProcessExecutor

java.lang.Object
ru.bgcrm.model.process.ProcessExecutor

public class ProcessExecutor extends Object
Process related executor with group and role.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessExecutor()`
  `ProcessExecutor(int userId, int groupId)`
  `ProcessExecutor(int userId, int groupId, int roleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcessExecutor`
  `clone()`
  `ProcessGroup`
  `createProcessGroup()`
  `boolean`
  `equals(Object obj)`
  `static Set<Integer>`
  `getExecutorsWithRole(Set<ProcessExecutor> processExecutorSet, int role)`
  `int`
  `getGroupId()`
  `static final Set<ProcessExecutor>`
  `getProcessExecutors(Set<ProcessExecutor> processExecutors, Set<ProcessGroup> processGroups)`
  `static final Set<ProcessExecutor>`
  `getProcessExecutors(Set<ProcessExecutor> processExecutors, ProcessGroup processGroup)`
  `int`
  `getRoleId()`
  `int`
  `getUserId()`
  `int`
  `hashCode()`
  `boolean`
  `isInProcessGroup(ProcessGroup pg)`
  `static final Set<ProcessExecutor>`
  `parseSafe(String value, Set<ProcessGroup> processGroups)`
  `static final Set<ProcessExecutor>`
  `parseUnsafe(Set<String> values, Set<ProcessGroup> processGroups)`
  `static final String`
  `serialize(Set<ProcessExecutor> processExecutors)`
  `void`
  `setGroupId(int groupId)`
  `void`
  `setRoleId(int roleId)`
  `void`
  `setUserId(int userId)`
  `static final Set<Integer>`
  `toExecutorSet(Set<ProcessExecutor> processExecutors)`
  `static final Set<Integer>`
  `toGroupSet(Set<ProcessExecutor> processExecutors)`
  `static final Set<ProcessExecutor>`
  `toProcessExecutorSet(Set<Integer> userIds, ProcessGroup processGroup)`
  `static final void`
  `updateProcessExecutors(Set<ProcessExecutor> processExecutors, ProcessGroup processGroup, Set<Integer> executorIds)`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessExecutor

    public ProcessExecutor()

  - ### ProcessExecutor

    public ProcessExecutor(int userId, int groupId)

  - ### ProcessExecutor

    public ProcessExecutor(int userId, int groupId, int roleId)

- ## Method Details

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getGroupId

    public int getGroupId()

  - ### setGroupId

    public void setGroupId(int groupId)

  - ### getRoleId

    public int getRoleId()

  - ### setRoleId

    public void setRoleId(int roleId)

  - ### isInProcessGroup

    public boolean isInProcessGroup(ProcessGroup pg)

  - ### clone

    public ProcessExecutor clone()
    Overrides:
      `clone` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### parseSafe

    public static final Set<ProcessExecutor> parseSafe(String value, Set<ProcessGroup> processGroups)

  - ### parseUnsafe

    public static final Set<ProcessExecutor> parseUnsafe(Set<String> values, Set<ProcessGroup> processGroups)

  - ### serialize

    public static final String serialize(Set<ProcessExecutor> processExecutors)

  - ### toGroupSet

    public static final Set<Integer> toGroupSet(Set<ProcessExecutor> processExecutors)

  - ### toExecutorSet

    public static final Set<Integer> toExecutorSet(Set<ProcessExecutor> processExecutors)

  - ### toProcessExecutorSet

    public static final Set<ProcessExecutor> toProcessExecutorSet(Set<Integer> userIds, ProcessGroup processGroup)

  - ### getProcessExecutors

    public static final Set<ProcessExecutor> getProcessExecutors(Set<ProcessExecutor> processExecutors, ProcessGroup processGroup)

  - ### getProcessExecutors

    public static final Set<ProcessExecutor> getProcessExecutors(Set<ProcessExecutor> processExecutors, Set<ProcessGroup> processGroups)

  - ### createProcessGroup

    public ProcessGroup createProcessGroup()

  - ### updateProcessExecutors

    public static final void updateProcessExecutors(Set<ProcessExecutor> processExecutors, ProcessGroup processGroup, Set<Integer> executorIds)

  - ### getExecutorsWithRole

    public static Set<Integer> getExecutorsWithRole(Set<ProcessExecutor> processExecutorSet, int role)